/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
section.text-content {
  --text-color: var(--color__dark-grey);
  --accent-color: var(--color__dark-grey);
  color: var(--text-color);
  width: 100%;
}

section.text-content .block-section-wrapper .text-content-wrapper .category-dot::before {
  background-color: var(--accent-color);
}

section.text-content .block-section-wrapper .text-content-wrapper .single-column-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

section.text-content .block-section-wrapper .text-content-wrapper .single-column-container .large-text {
  font-weight: 300;
  text-align: center;
  width: 100%;
  max-width: 62.5rem;
  text-wrap: pretty;
}

section.text-content .block-section-wrapper .text-content-wrapper .single-column-container .large-text p {
  margin: 0;
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  -moz-column-gap: 10rem;
       column-gap: 10rem;
}

@media screen and (max-width: 850px) {
  section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid {
    grid-template-columns: 1fr;
    gap: var(--spacing-content);
  }
}
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right {
  display: flex;
  flex-direction: column;
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .header-text,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .header-text {
  font-weight: 300;
  text-wrap: pretty;
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .header-text p,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .header-text p {
  margin: 0 0 var(--spacing-content);
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .text-content,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .text-content {
  font-weight: 300;
  /* line-height: 1.7; */
  text-wrap: pretty;
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .text-content p,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .text-content p {
  margin: 0 0 var(--spacing-content-small);
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .text-content p:last-of-type,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .text-content p:last-of-type {
  margin: 0 0 var(--spacing-content);
}

section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-left .text-content__cta-button,
section.text-content .block-section-wrapper .text-content-wrapper .two-column-grid .column-right .text-content__cta-button {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  display: flex;
  align-items: center;
  font-size: 1.125rem;
}
